camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ayache Khettar <>
Subject Re: Schematron component: Not supported:
Date Fri, 08 May 2015 17:57:16 GMT
Hi Daniel

The Schematron component requires saxon home edition - see pom dependencies
below. The home edition is free to use. How did you install
camel-schematron component? It should require the saxon-he bundle? Try
install the camel-schmetron component including the saxon-he bundle and
give it a go. It should work.



+            <groupId>net.sf.saxon</groupId>
+            <artifactId>Saxon-HE</artifactId>
+            <version>${saxon-version}</version>
+        </dependency>

On 8 May 2015 at 16:53, Davis, Daniel <> wrote:

> I tried to install a route that uses the Schematron component into
> ServiceMix (I am cross posting).  I have the camel-schematron bundle
> installed in ServiceMix with no known issues.  However, the route cannot
> be created due to the following error:
> Not supported:
> I suspect this has to do with Saxon integration.  I have not found a
> solution but this article shows a related code commit:
> .  There are other articles pointing to Saxon integration as the issue
> but I have not found anything with my combination of integrated
> components.  This is a very simple Schematron ruleset (linenumbers are
> not used) but it looks like Camel Schematron requests this feature by
> default.
> Does anyone have any insight?
> --
> Dan Davis

  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message